# Zabbix Upgrade v5.4.x to v6.0.x (Debian 10, PostgreSQL, TimescaleDB)

Make sure to make a backup of the server(s) before you proceed. 

## Upgrade TimescaleDB

### Install new timescaledb version

```
apt install timescaledb-2-2.6.0-postgresql-12
```

### Connect to Postgresql

```
sudo -u postgres psql -X
```

### Switch to database zabbix

```
\c zabbix
```

### Update the postgresql extension

```
ALTER EXTENSION timescaledb UPDATE;
```

### Verify that the new timescaledb version is used

```
\dx timescaledb
```

## Upgrade PostgreSQL to 14

### Install Postgresql 14 

```
apt install postgresql-14
```

### Install Timescaledb

```
apt install timescaledb-2-2.6.0-postgresql-14
```

### Stop all postgresql clusters

```
service postgresql@12-main stop
```
```
service postgresql@14-main stop
```

### Drop the new postgresql cluster

```
pg_dropcluster 14 main
```

### Run pg_upgradecluster to upgrade the cluster to v14

```
pg_upgradecluster -v 14 --method=upgrade --link 12 main
```

### Make sure the new cluster ist listening on port 5432 

```
netstat -tapen | grep LISTEN
```

### Drop the old postgresql cluster

```
pg_dropcluster 12 main
```

### Verify they timescaledb version on the zabbix db

```
sudo -u postgres psql
```
```
\c zabbix
```
```
\dx
```

## Upgrade Zabbix from 5.4.x to 6.0 (Steps for Debian 10)

### Remove the old repository list

```
rm -Rf /etc/apt/sources.list.d/zabbix.list
```

### Install the new repository list

```
wget https://repo.zabbix.com/zabbix/6.0/debian/pool/main/z/zabbix-release/zabbix-release_6.0-1+debian10_all.deb
```
```
dpkg -i zabbix-release_6.0-1+debian10_all.deb
```

### Update the repository cache

```
apt clean
```
```
apt update
```

### Verify that zabbix will be upgraded to v6

```
apt list --upgradeable
```

### Install all upgrades

```
apt upgrade
```

### Start zabbix Server

```
service zabbix-server start
```

### Check the log file for errors

```
vim /var/log/zabbix/zabbix_server.log
```

### Verify the web interface is up and running

## Enjoy using Zabbix :-)